package org.etsi.its.adapter;

import java.math.BigInteger;


public class TransactionStructure {

	public static final int RSU = 0; //UL
	public static final int OBU = 1; //DL
	
	private BigInteger timeStamp;
	private int direction;
	private int noOfBytes;
	private byte[] payload;
	
	public TransactionStructure(){
		new TransactionStructure(BigInteger.valueOf(-1), RSU, 0, new byte[]{});
	}

	public TransactionStructure(BigInteger timeStamp, int direction, int noOfBytes, byte[] payload){
		this.timeStamp = timeStamp;
		this.direction = direction;
		this.noOfBytes = noOfBytes;
		this.payload = payload;
	}
	
	public BigInteger getTimeStamp() {
		return timeStamp;
	}

	public void setTimeStamp(BigInteger timeStamp) {
		this.timeStamp = timeStamp;
	}

	public int getDirection() {
		return direction;
	}

	public void setDirection(int direction) {
		this.direction = direction;
	}

	public int getNoOfBytes() {
		return noOfBytes;
	}

	public void setNoOfBytes(int noOfBytes) {
		this.noOfBytes = noOfBytes;
	}

	public byte[] getPayload() {
		return payload;
	}

	public void setPayload(byte[] payload) {
		this.payload = payload;
	}
}
